<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
    header("location:../");
}
include_once '../../conexao/index.php';

// Receber os parâmetros da URL
$utilizador = $_GET['utilizador'];
$data1 = $_GET['data1'];
$data2 = $_GET['data2'];
$status = $_GET['status'];

// Incluir a biblioteca
include 'biblioteca/tcpdf.php';

// Criar novo documento PDF
$pdf = new TCPDF('P', 'mm', 'A4', true, 'UTF-8');
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetTitle('Relatório de Caixas'); // Defina o título do PDF

$pdf->AddPage();

// Dados da Empresa a Faturar (exemplo)
$sql = "SELECT * FROM empresa";
$rs = mysqli_query($db, $sql);
$dados = mysqli_fetch_array($rs);
$img = $dados['img'];

// Conteúdo da fatura
$pdf->SetFont('helvetica', '', 12);
$pdf->Ln(7);
$imageX = 160;   // Posição X da imagem
$imageY = 15;   // Posição Y da imagem
$imageWidth = 35;  // Largura da imagem
$imageHeight = 0;   // Altura da imagem (0 para manter a proporção)
$pdf->Image('../../img/'.$img.'', $imageX, $imageY, $imageWidth, $imageHeight);
$pdf->Cell(0, 7, $dados['nome'], 0, 1);
$pdf->SetFont('helvetica', '', 10);
$pdf->Cell(0, 7, $dados['endereco'], 0, 1);
$pdf->Cell(0, 7, 'Nuit: ' . $dados['nuit'], 0, 1);
$pdf->Cell(0, 7, 'Contacto: ' . $dados['contacto'], 0, 1);
$pdf->Cell(0, 7, 'E-mail: ' . $dados['email'], 0, 1);
$pdf->Cell(0, 7, $dados['pais'] .' - '. $dados['provincia'], 0, 1);
$pdf->Ln(10);
$pdf->SetFont('helvetica', 'B', 12);
$pdf->Cell(0, 10, 'Relatório de Caixas de '.$data1.'/'.$data2, 0, 1);
$pdf->SetLineWidth(0.1);
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY());

// Tabela de Itens da Fatura
$pdf->SetFont('helvetica', 'B', 8);
$pdf->Ln(8);
$pdf->Cell(0, 7, '#', 'T', 0);
$pdf->SetX(20);
$pdf->Cell(0, 7, 'Descrição', 'T', 0);
$pdf->SetX(50);
$pdf->Cell(0, 7, 'Valor de Abertura', 'T', 0);
$pdf->SetX(80);
$pdf->Cell(0, 7, 'Valor de Fecho', 'T', 0);
$pdf->SetX(120);
$pdf->Cell(0, 7, 'Data de Abertura', 'T', 0);
$pdf->SetX(150);
$pdf->Cell(0, 7, 'Data de Fecho', 'T', 0);
$pdf->Ln(8);

// Preparar e executar a consulta SQL
$sql3 = "SELECT * FROM periodo 
         WHERE datafechoperiodo BETWEEN ? AND ? 
           AND diaperiodo LIKE ? 
           AND (usuario = ? OR ? = 10000)";

$stmt = $db->prepare($sql3);
$status = ($status == "Selecione o status") ? '%' : $status;
$stmt->bind_param('sssii', $data1, $data2, $status, $utilizador, $utilizador);
$stmt->execute();
$result = $stmt->get_result();

// Adicionar dados ao PDF
$pdf->SetFont('helvetica', '', 8);
while ($dados3 = $result->fetch_assoc()) {
    $pdf->Cell(0, 7, $dados3['idperiodo'], 0, 0);
    $pdf->SetX(20);
    $pdf->Cell(0, 7, "CX#".$dados3['serie']."/".$dados3['idperiodo'], 0, 0);
    $pdf->SetX(50);
    $pdf->Cell(0, 7, number_format($dados3['aberturaperiodo'], 2, ".", ","), 0, 0);
    $pdf->SetX(80);
    $pdf->Cell(0, 7, number_format($dados3['fechoperiodo'], 2, ".", ","), 0, 0);
    $pdf->SetX(120);
    $pdf->Cell(0, 7, $dados3['dataaberturaperiodo'], 0, 0);
    $pdf->SetX(150);
    $pdf->Cell(0, 7, $dados3['datafechoperiodo'], 0, 0);
    $pdf->Ln(6);
}

// Calcular e exibir o total
$sql4 = "SELECT SUM(fechoperiodo) as total FROM periodo 
         WHERE datafechoperiodo BETWEEN ? AND ? 
           AND diaperiodo LIKE ? 
           AND (usuario = ? OR ? = 10000)";

$stmt4 = $db->prepare($sql4);
$stmt4->bind_param('sssii', $data1, $data2, $status, $utilizador, $utilizador);
$stmt4->execute();
$result4 = $stmt4->get_result();
$dados4 = $result4->fetch_assoc();
$pdf->SetX(20);
$pdf->Cell(0, 7, "Total", 0, 0);
$pdf->SetX(80);
$pdf->Cell(0, 7, number_format($dados4['total'], 2, ".", ","), 0, 0);	
$pdf->Ln(6);

$pdf->SetLineWidth(0.1);
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY());
$pdf->Cell(0, 7, 'Documento Processado por Computador/ iVone ERP/', 0, 1);

// Output do PDF
$pdf->Output('Relatorio_caixa.pdf', 'I');

// Fechar conexão e liberar recursos
$db->close();
